General Information
All operations require authentication.
List tenantsAlpha
Returns the service names of the tenants.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ saas/ csp2 \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a tenantAlpha
Returns the display name, contact details, Microsoft Partner Network ID, status and creation date of the tenant, and whether the 2025 Microsoft Customer Agreement is accepted.
Path parameters
Service name
Response
Contact's address line
Contact's city
Creation date
Tenant's display name
Contact's email address
Contact's first name
Whether or not the 2025 Microsoft Customer Agreement was properly accepted
IAM resource metadata
Contact's last name
Microsoft Partner Network identifier linked to this tenant
Code of any detected issue regarding the MPN Id
Primary phone number
Internal service name
Tenant's status
creatinginMaintenanceoksuspendedsuspendingContact's zip code
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ saas/ csp2/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"{ "address": "string", "city": "string", "creationDate": "2024-01-01T12:00:00Z", "displayName": "string", "email": "string", "firstName": "string", "hasAcceptedNewMCA": true, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "lastName": "string", "mpnId": "string", "mpnIssueFlag": "string", "phone": "string", "serviceName": "string", "status": "creating", "zipCode": "string"}
Update a tenantAlpha
Updates the display name, the contact details and the Microsoft Partner Network ID (mpnId) of the tenant.
Path parameters
Service name
Request body (required)
Contact's address line
Contact's city
Creation date
Tenant's display name
Contact's email address
Contact's first name
Contact's last name
Primary phone number
Internal service name
Tenant's status
creatinginMaintenanceoksuspendedsuspendingContact's zip code
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ saas/ csp2/ {serviceName} \
-H "authorization: Bearer $OVH_TOKEN"Get service informationBeta
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
The unique identifier of your Office service
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ saas/ csp2/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationBeta
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
The unique identifier of your Office service
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ saas/ csp2/ {serviceName}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"